> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a permission to a given view-only user



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json post /api/ReportRowRestriction/Create
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/ReportRowRestriction/Create:
    post:
      tags:
        - ReportRowRestriction
      summary: Add a permission to a given view-only user
      operationId: Create
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/ApiReportRowRestrictionCreateRequest'
          application/json:
            schema:
              $ref: '#/components/schemas/ApiReportRowRestrictionCreateRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ApiReportRowRestrictionCreateRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ApiReportRowRestrictionCreateRequest'
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiReportRowRestrictionCreateResponse'
          description: Created
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: Bad Request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: Error
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ApiReportRowRestrictionCreateRequest:
      example:
        column_name: column_name
        column_filter: column_filter
      properties:
        organisation_user_email:
          nullable: true
          type: string
        report_name:
          nullable: true
          type: string
        column_name:
          nullable: true
          type: string
        column_filter:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.ReportRestriction.ApiReportRowRestrictionCreateRequest,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    ApiReportRowRestrictionCreateResponse:
      required:
        - $type
      type: object
      properties:
        is_success:
          type: boolean
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.ReportRestriction.ApiReportRowRestrictionCreateResponse,
              Derivitec.Web.Core
    ProblemDetails:
      properties:
        type:
          nullable: true
          type: string
        title:
          nullable: true
          type: string
        status:
          format: int32
          nullable: true
          type: integer
        detail:
          nullable: true
          type: string
        instance:
          nullable: true
          type: string
      type: object
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````